# $Revision: 1.32 $, $Date: 2006/11/02 12:59:34 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Sieve
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - handles talking to timsieved
Summary(pl):	%{_pearname} - obsuga komunikacji z timsieved
Name:		php-pear-%{_pearname}
Version:	1.1.5
Release:	1
Epoch:		0
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2f0b868d5bde1742721d525233274f5a
URL:		http://pear.php.net/package/Net_Sieve/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0
Requires:	php-pear-PEAR-core >= 1:1.4.0-0.b1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an API to talk to the timsieved server that comes with Cyrus
IMAPd. Can be used to install, remove, mark active etc sieve scripts.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten modu udostpnia API do komunikacji z serwerem timsieved,
doczonym do Cyrus IMAPd. Moe by uywany do instalowania, usuwania,
zaznaczania aktywnoci itp. skryptw sieve.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Sieve.spec,v $
Revision 1.32  2006/11/02 12:59:34  glen
- 1.1.5

Revision 1.31  2006/09/10 09:36:55  adamg
- updated to 1.1.4

Revision 1.30  2006/06/03 21:46:24  glen
- 1.1.3

Revision 1.29  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.28  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.27  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.26  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.25  2006/02/16 18:26:20  glen
- 1.1.2

Revision 1.24  2005/11/20 16:26:25  glen
- rel 3

Revision 1.23  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.22  2005/10/05 20:59:19  glen
- rel 2

Revision 1.21  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.20  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.19  2005/02/05 19:31:20  adamg
- updated to 1.1.1

Revision 1.18  2004/12/19 14:56:10  adamg
- updated to 1.1.0

Revision 1.17  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.16  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.15  2004/03/16 06:32:31  adamg
- added missing status information (it is stable)
- fixed License

Revision 1.14  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.13  2004/03/13 16:21:51  adamg
- updated to 1.0.1

Revision 1.12  2004/03/10 22:04:28  adamg
- updated to 1.0.0
- added test_sieve.php to %%doc

Revision 1.11  2004/03/01 16:08:32  adamg
- updated to 0.9.1

Revision 1.10  2004/02/01 21:16:43  adamg
- updated to 0.9.0

Revision 1.9  2003/10/07 20:56:02  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/14 23:49:49  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.4  2002/09/15 10:51:47  blues
- fix in macros

Revision 1.3  2002/07/27 14:00:41  blues
- 0.8.1 - STBR

Revision 1.2  2002/07/23 11:56:02  qboosh
- pl description

Revision 1.1  2002/07/21 19:49:33  blues
- initial release (description to translate...)
  STBR
